List verified read-only GitHub App repositories
curl --request GET \
--url https://atollhq.com/api/orgs/{id}/github-app-repositories \
--cookie sb-%3Cproject-ref%3E-auth-token=import requests
url = "https://atollhq.com/api/orgs/{id}/github-app-repositories"
headers = {"cookie": "sb-%3Cproject-ref%3E-auth-token="}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {cookie: 'sb-%3Cproject-ref%3E-auth-token='}};
fetch('https://atollhq.com/api/orgs/{id}/github-app-repositories', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"capability": {
"configured": true,
"enabled": true
},
"projects": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"slug": "<string>"
}
],
"repositories": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"repository": {
"owner": "<string>",
"name": "<string>",
"full_name": "<string>",
"is_private": true
},
"default_ref": "<string>",
"last_verified_at": "2023-11-07T05:31:56Z",
"disabled_at": "2023-11-07T05:31:56Z",
"project_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"read_only_app": {
"status": "connected"
}
}
],
"live_check_truncated": true
}{
"error": "Unauthorized",
"code": "unauthorized"
}{
"error": "Unauthorized",
"code": "unauthorized"
}{
"error": "Unauthorized",
"code": "unauthorized"
}Integrations and billing
List verified read-only GitHub App repositories
GET
/
api
/
orgs
/
{id}
/
github-app-repositories
List verified read-only GitHub App repositories
Authorizations
Authenticated Supabase web session for a human Atoll user. The cookie name includes the deployment's Supabase project reference and may be chunked.
Path Parameters
Response
Safe repository snapshots and mapping options

